class __export TKalend
{
 private:
// actual date
  int YEAR;
  int MONTH;
  int DAY;
  int Remainder(int, int);
  void RoshHashannah(int,int&,int&);			// calculates date of RoshHashannah
  int GregorToJulian(int,int,int);
 public:
  int DAY_OF_YEAR;
  bool LEAP_YEAR;					// true if actual year is a leap year
  int To_Day;						// a number of days from the begining of year to actual date
  int From_Day;						// a number of days to the end of year from actual date
  double JDN;						// Julian Date System
  int ISLAM_YEAR,ISLAM_MONTH,ISLAM_DAY;			// Islam Date
  AnsiString ISLAM_MONTH_NAME;				// Islam Date - the name of the month
  int HEB_YEAR,HEB_DAY;					// Hebrew Date
  AnsiString HEB_MONTH;					// Hebrew Date - the name of the month
  int EGIPT_DAY,EGIPT_YEAR;				// Egiptian Date
  AnsiString EGIPT_MONTH_NAME;				// Egiptian Date - the name of the month
  int ETIOPIA_DAY,ETIOPIA_YEAR;				// Etiopian Date
  AnsiString ETIOPIA_MONTH_NAME;			// Etiopian Date - the name of the month
  AnsiString Aztec_Year,Aztec_Day;			// Aztec Date
  AnsiString AztecName,AztecNom,AnoCuatro,DiaVeinte;	// Aztec Date
  int AnoTrace,DiaTrece;				// Aztec Date
  AnsiString Tybet_Year;				// Tybet Date - year only

// procedures
  TKalend();					//constructor - reads system date
  TKalend(int, int, int);			//constructor - input data (YEAR,MONTH,DATE)
  void ToJulian();				//converts actual date to Julian Date System
  void ToIslam();				//converts actual date to Islam Date
  void ToHebr ();				//converts actual date to Hebrew Date
  void Day_Of_Year();				//calculate number of days from the begining of the day
  void Leap_Years();				//calculate if the actual year is a leap year
  void Count_Days_To_From();			//calculates number of days from the begining of the year to actual date, and from actual date to end of year
  void ToEgipt();				//converts actual date to Egiptian Date
  void ToEtiopia();				//converts actual date to Etiopian Date
  void ToAztec();				//converts actual date to Aztec Date
  void ToTybet();				//converts actual date to Tybet Date

  void Sun_Rise_Set();
};